Bug 607300 - [abrt] crash in oggconvert-0.3.3-1.fc13: ocv_media_checker.py:48:__init__:TypeError: argument must be a GstElement
[abrt] crash in oggconvert-0.3.3-1.fc13: ocv_media_checker.py:48:__init__:Typ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oggconvert (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
abrt_hash:c71f44f6
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 14:08 EDT by Krzysztof Trzewiczek
Modified: 2011-06-27 14:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (590 bytes, text/plain)
2010-06-23 14:08 EDT, Krzysztof Trzewiczek
no flags Details

  None (edit)
Description Krzysztof Trzewiczek 2010-06-23 14:08:44 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/oggconvert
component: oggconvert
executable: /usr/bin/oggconvert
kernel: 2.6.33.5-124.fc13.i686
package: oggconvert-0.3.3-1.fc13
reason: ocv_media_checker.py:48:__init__:TypeError: argument must be a GstElement
release: Fedora release 13 (Goddard)

backtrace
-----
ocv_media_checker.py:48:__init__:TypeError: argument must be a GstElement

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/OggConvert/ocv_main.py", line 208, in _check_media
    self.mc = MediaChecker(filename)
  File "/usr/lib/python2.6/site-packages/OggConvert/ocv_media_checker.py", line 48, in __init__
    self.pipeline.add(self.src, self.decodebin)
TypeError: argument must be a GstElement

Local variables in innermost frame:
path: 'cdda://sr0/Track 1.wav'
self: <MediaChecker object at 0xa17ee14 (OggConvert+ocv_media_checker+MediaChecker at 0xa2d65c0)>

How to reproduce
-----
1. Trying to open the audio cd track
2.
3.
Comment 1 Krzysztof Trzewiczek 2010-06-23 14:08:48 EDT
Created attachment 426339 [details]
File: backtrace
Comment 2 Bill Thielman 2011-05-06 00:00:22 EDT
Package: oggconvert-0.3.3-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. my Fedora has MUCH trouble finding my CDs   :p
2.
3.


Comment
-----
Attempted to copy/convert a cdrom track
Comment 3 Bug Zapper 2011-06-01 11:46:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:49:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.